@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@using Microsoft.AspNetCore.Components.Forms
@inject SessionData SD
@inject IJSRuntime JSRuntime
@using BioMap
@implements IDisposable

<Row>
    <Column>
        <Field Horizontal="true">
            <FieldLabel ColumnSize="ColumnSize.IsFull.OnTablet.Is4.OnDesktop">@Localize["Length"]</FieldLabel>
            <FieldBody ColumnSize="ColumnSize.IsFull.OnTablet.Is8.OnDesktop">
                <Row>
                    <Column>
                        <NumericEdit TValue="float?" @bind-Value="SD.Filters.BodyLengthMinFilter" />
                    </Column>
                    <Column ColumnSize="ColumnSize.Is1">
                        <Label Style="display: block;" TextAlignment="TextAlignment.Center">-</Label>
                    </Column>
                    <Column>
                        <NumericEdit TValue="float?" @bind-Value="SD.Filters.BodyLengthMaxFilter" />
                    </Column>
                </Row>
            </FieldBody>
        </Field>
    </Column>
</Row>

@code {

  protected override void OnInitialized() {
    SD.Filters.FilterChanged += this.FilterChanged;
  }

  private void FilterChanged(object sender, EventArgs e) {
    this.InvokeAsync(() => this.StateHasChanged());
  }

  public void Dispose() {
    SD.Filters.FilterChanged -= this.FilterChanged;
  }
}
